commit 7257bc4808ef6482b130b8e0d2d26ee4d3a1d860
parent 68d4a9530a11b2b86287bea31adc4fb2c14a0407
Author: William Casarin <jb55@jb55.com>
Date: Tue, 29 Dec 2020 15:12:58 -0800
fuzz updates
Diffstat:
2 files changed, 7 insertions(+), 5 deletions(-)
diff --git a/bin/fuzz-cat-file b/bin/fuzz-cat-file
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+set -e
+res="$(rg --files | fuzzer "$@")"
+echo bat $res
diff --git a/dotfiles/commands b/dotfiles/commands
@@ -1,5 +1,6 @@
cd change directory fuzz-cd-dirname
-pf project file fuzz-edit-file
+pf edit project file fuzz-edit-file
+pc cat project file fuzz-cat-file
rf recent files fuzz-recent-files
eFl edit fuzz command list fuzz-edit-command-list
eFc edit fuzz command fuzz-edit-command
@@ -18,12 +19,9 @@ cs compile show build echo cat .build-result
m make fuzz-make
sp search project fuzz-search-files
ss search project file fuzz-search-file
-Sr systemd restart fuzz-systemd-restart
-Ss systemd start fuzz-systemd-start
-SS systemd stop fuzz-systemd-stop
h run history fuzz-run-hist
tj tag jump fuzz-tag-jump
-gb git branches echo git-bvr
+gb git branches echo git bvr
ni notmuch inbox fuzz-notmuch-inbox
nt notmuch threads fuzz-notmuch-threads
nat notmuch archive fuzz-notmuch-archive